import https from '@/plugins/luch-request_0.0.7/request'
/** *
 * 商城下单-生成订单 m
 */
export const getList = data => {
	return https.get('/order/list', data)
}

/** *
 * 订单详情 m
 */
export const getDetail = data => {
	return https.get('/order/detail', data)
}

/** *
 * 订单评价 m
 */
export const comment = data => {
	return https.post('/order/comment', data)
}

/** *
 * 商城下单-生成订单 m
 */
export const createOrder = data => {
	return https.post('/order/create-order', data)
}

/** *
 * 商城下单-相关信息 m
 */
export const orderRelate = data => {
	return https.get('/order/order-relate', data)
}

/** *
 * 商城下单-余额付款 m
 */
export const balancePay = data => {
	return https.post('/order/balance-pay', data)
}

/** *
 * 商城下单-微信支付 m
 */
export const wxPay = data => {
	return https.post('/order/wx-pay', data)
}

// =====================  B 端 ========================

/** *
 * 订单列表 b
 */
export const getListB = data => {
	return https.get('/order/list', data)
}

/** *
 * 订单详情 b
 */
export const getDetB = data => {
	return https.get('/order/detail', data)
}

/** *
 * 免发货 b
 */
export const freeShipping = data => {
	return https.get('/order/without-send', data)
}

/** *
 * 发货详情（发货、继续、查看配送） b
 */
export const orderSendDet = data => {
	return https.get('/order-send/detail', data)
}

/** *
 * 发货操作-打单 b
 */
export const printOrder = data => {
	return https.post('/order-send/print-order', data)
}

/** *
 * 发货操作-发货 b
 */
export const orderSend = data => {
	return https.post('/order-send/deliver', data)
}

/** *
 * 发货操作-送达 b
 */
export const orderReach = data => {
	return https.post('/order-send/reach', data)
}

/** *
 * 发货-填写收花人 b
 */
export const updateSheet = data => {
	return https.post('/order/update-sheet', data)
}

/** *
 * 发货-归类 b
 */
export const orderClass = data => {
	return https.post('/order/classify', data)
}

/** *
 * 修改价格 b
 */
export const orderUpdatePrice = data => {
	return https.get('/order/update-price', data)
}
